let

  nixpkgs = fetchTarball "https://github.com/NixOS/nixpkgs/tarball/nixos-24.05";

  pkgs = import nixpkgs { config = {}; overlays = []; };

in


pkgs.mkShell {

  packages = with pkgs; [

    bash
    limine
    xorriso
    rustup
    qemu

  ];

  shellHook = ''
    rustup default nightly;
    rustup target add x86_64-unknown-none
  '';

}